# Created by pyp2rpm-3.1.2
%global pypi_name marrow.mailer
%global srcname marrow-mailer
%global modname marrow
%global desc A highly efficient and modular mail delivery framework for \
Python 2.6+ and 3.2+, formerly called TurboMail.

Name:           python-%{srcname}
Version:        4.0.2
Release:        11%{?dist}
Summary:        A light-weight modular mail delivery framework for Python

License:        MIT
URL:            https://github.com/marrow/mailer/
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/marrow/mailer/master/LICENSE.txt
Source2:        https://raw.githubusercontent.com/marrow/mailer/master/README.textile
BuildArch:      noarch

%description
%{desc}

%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-apipkg
BuildRequires:  python3-coverage
BuildRequires:  python3-execnet
BuildRequires:  python3-marrow-util < 2.0
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cache
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-flakes
BuildRequires:  python3-pytest-spec
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRequires:  python3-transaction
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-marrow-util < 2.0
Requires:       python3-setuptools
%description -n python3-%{srcname}
%{desc}


%prep
%setup -q -n %{pypi_name}-%{version}
cp -p %{SOURCE1} LICENSE.txt
cp -p %{SOURCE2} README.textile

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
# Remove tests placed in bad dir
rm -r %{buildroot}%{python3_sitelib}/test

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.textile
%license LICENSE.txt
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 19 2018 Lumír Balhar <lbalhar@redhat.com> - 4.0.2-10
- Get rid of Python 2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.0.2-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 08 2017 Iryna Shcherbina <ishcherb@redhat.com> - 4.0.2-6
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 05 2017 Lumir Balhar <lbalhar@redhat.com> - 4.0.2-3
- Bump release

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.0.2-2
- Rebuild for Python 3.6

* Thu Nov 24 2016 Lumir Balhar <lbalhar@redhat.com> - 4.0.2-1
- New upstream release
- Remove patch which is not necessary because issue is fixed in upstream
- Added new test dependency

* Wed Jul 13 2016 Lumir Balhar <lbalhar@redhat.com> - 4.0.1-1
- Initial package.
